@font-face {
  font-family: SpaceAge;
  font-style: normal;
  font-weight: normal;
  src: url(/assets/fonts/space-age.spaceage.otf);
}

.spaceage    { font-family: SpaceAge, Verdana, Arial, sans-serif; }

.swagger-ui {
    font-family: sans-serif
}

.swagger-ui html {
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    line-height: 1.15
}

.swagger-ui body {
    margin: 0
}

.swagger-ui article,
.swagger-ui header,
.swagger-ui section,
.swagger-ui main {
    display: block
}

.swagger-ui pre {
    font-family: monospace;
    font-size: 1em
}

.swagger-ui a {
    -webkit-text-decoration-skip: objects;
    background-color: transparent
}

.swagger-ui strong {
    font-weight: inherit;
    font-weight: bolder
}

.swagger-ui code {
    font-family: monospace;
    font-size: 1em
}

.swagger-ui small {
    font-size: 80%
}

.swagger-ui img {
    border-style: none
}

.swagger-ui svg:not(:root) {
    overflow: hidden
}

.swagger-ui button,
.swagger-ui input,
.swagger-ui select,
.swagger-ui textarea {
    margin: 0;
    font-family: sans-serif;
    font-size: 100%;
    line-height: 1.15
}

.swagger-ui button,
.swagger-ui input {
    overflow: visible
}

.swagger-ui button,
.swagger-ui select {
    text-transform: none
}

.swagger-ui button {
    appearance: button
}

.swagger-ui html [type=button] {
    appearance: button
}

.swagger-ui [type=button]::-moz-focus-inner {
    border-style: none;
    padding: 0
}

.swagger-ui button::-moz-focus-inner {
    border-style: none;
    padding: 0
}

.swagger-ui [type=button]:-moz-focusring {
    outline: 1px dotted buttontext
}

.swagger-ui button:-moz-focusring {
    outline: 1px dotted buttontext
}

.swagger-ui textarea {
    overflow: auto
}

.swagger-ui ::-webkit-file-upload-button {
    -webkit-appearance: button;
    font: inherit
}

.swagger-ui a,
.swagger-ui article,
.swagger-ui body,
.swagger-ui code,
.swagger-ui div,
.swagger-ui h2,
.swagger-ui h3,
.swagger-ui h4,
.swagger-ui h5,
.swagger-ui header,
.swagger-ui html,
.swagger-ui li,
.swagger-ui main,
.swagger-ui p,
.swagger-ui pre,
.swagger-ui section,
.swagger-ui table,
.swagger-ui td,
.swagger-ui textarea,
.swagger-ui th,
.swagger-ui tr,
.swagger-ui ul {
    box-sizing: border-box
}

.swagger-ui input[type=text] {
    box-sizing: border-box
}

.swagger-ui input[type=url] {
    box-sizing: border-box
}

.swagger-ui img {
    max-width: 100%
}

.swagger-ui .pre {
    overflow: scroll
}

.swagger-ui .code,
.swagger-ui code {
    font-family: Consolas, monaco, monospace
}

.swagger-ui .i {
    font-style: italic
}

.swagger-ui .h2 {
    height: 2rem
}

.swagger-ui .h3 {
    height: 4rem
}

.swagger-ui .h4 {
    height: 8rem
}

.swagger-ui .h5 {
    height: 16rem
}

.swagger-ui .link {
    -webkit-text-decoration: none;
    text-decoration: none
}

.swagger-ui .link,
.swagger-ui .link:active,
.swagger-ui .link:focus,
.swagger-ui .link:hover,
.swagger-ui .link:link,
.swagger-ui .link:visited {
    transition: color .15s ease-in
}

.swagger-ui .link:focus {
    outline: 1px dotted
}

.swagger-ui .w3 {
    width: 4rem
}

.swagger-ui .static {
    position: static
}

.swagger-ui .white {
    color: #fff
}

.swagger-ui .tr {
    text-align: right
}

.swagger-ui .pre {
    white-space: pre
}

.swagger-ui .wrapper {
    box-sizing: border-box;
    width: 100%;
    max-width: 1460px;
    margin: 0 auto;
    padding: 0 20px
}

.swagger-ui .opblock-tag-section {
    flex-direction: column;
    display: flex
}

.swagger-ui .try-out.btn-group {
    flex: .1 2 auto;
    padding: 0;
    display: flex
}

.swagger-ui .try-out__btn {
    margin-left: 1.25rem
}

.swagger-ui .opblock-tag {
    cursor: pointer;
    border-bottom: 1px solid rgba(59, 65, 81, .3);
    align-items: center;
    padding: 10px 20px 10px 10px;
    transition: all .2s;
    display: flex
}

.swagger-ui .opblock-tag:hover {
    background: rgba(0, 0, 0, .02)
}

.swagger-ui .opblock-tag {
    margin: 0 0 5px;
    font-family: sans-serif;
    font-size: 24px
}

.swagger-ui .opblock-tag.no-desc span {
    flex: 1
}

.swagger-ui .opblock-tag svg {
    transition: all .4s
}

.swagger-ui .opblock-tag small {
    flex: 2;
    padding: 0 10px;
    font-family: sans-serif;
    font-size: 14px;
    font-weight: 400
}

.swagger-ui .opblock-tag>div {
    text-overflow: ellipsis;
    white-space: nowrap;
    flex: 150px;
    font-weight: 400;
    overflow: hidden
}

@media (max-width:640px) {

    .swagger-ui .opblock-tag small,
    .swagger-ui .opblock-tag>div {
        flex: 1
    }
}

.swagger-ui .parameter__type {
    color: #3b4151;
    padding: 5px 0;
    font-family: monospace;
    font-size: 12px;
    font-weight: 600
}

.swagger-ui .view-line-link {
    cursor: pointer;
    width: 20px;
    margin: 0 5px;
    transition: all .5s;
    position: relative;
    top: 3px
}

.swagger-ui .opblock {
    border: 1px solid #000;
    border-radius: 4px;
    margin: 0 0 15px;
    box-shadow: 0 0 3px rgba(0, 0, 0, .19)
}

.swagger-ui .opblock .tab-header {
    flex: 1;
    display: flex
}

.swagger-ui .opblock .tab-header .tab-item {
    cursor: pointer;
    padding: 0 40px
}

.swagger-ui .opblock .tab-header .tab-item:first-of-type {
    padding: 0 40px 0 0
}

.swagger-ui .opblock .tab-header .tab-item.active h4 span {
    position: relative
}

.swagger-ui .opblock .tab-header .tab-item.active h4 span:after {
    content: "";
    background: gray;
    width: 120%;
    height: 4px;
    position: absolute;
    bottom: -15px;
    left: 50%;
    transform: translate(-50%)
}

.swagger-ui .opblock.is-open .opblock-summary {
    border-bottom: 1px solid #000
}

.swagger-ui .opblock .opblock-section-header {
    background: rgba(255, 255, 255, .8);
    align-items: center;
    min-height: 50px;
    padding: 8px 20px;
    display: flex;
    box-shadow: 0 1px 2px rgba(0, 0, 0, .1)
}

.swagger-ui .opblock .opblock-section-header>label {
    color: #3b4151;
    align-items: center;
    margin: 0 0 0 auto;
    font-family: sans-serif;
    font-size: 12px;
    font-weight: 700;
    display: flex
}

.swagger-ui .opblock .opblock-section-header>label>span {
    padding: 0 10px 0 0
}

.swagger-ui .opblock .opblock-section-header h4 {
    color: #3b4151;
    flex: 1;
    margin: 0;
    font-family: sans-serif;
    font-size: 14px
}

.swagger-ui .opblock .opblock-summary-method {
    color: #fff;
    text-align: center;
    text-shadow: 0 1px rgba(0, 0, 0, .1);
    background: #000;
    border-radius: 3px;
    min-width: 80px;
    padding: 6px 0;
    font-family: sans-serif;
    font-size: 14px;
    font-weight: 700
}

@media (max-width:768px) {
    .swagger-ui .opblock .opblock-summary-method {
        font-size: 12px
    }
}

.swagger-ui .opblock .opblock-summary-path {
    word-break: break-word;
    align-items: center;
    margin-left: 10px;
    font-family: monospace;
    font-size: 16px;
    font-weight: 600;
    display: flex
}

@media (max-width:768px) {
    .swagger-ui .opblock .opblock-summary-path {
        font-size: 12px
    }
}

.swagger-ui .opblock .opblock-summary-path {
    flex-shrink: 1
}

@media (max-width:640px) {
    .swagger-ui .opblock .opblock-summary-path {
        max-width: 100%
    }
}

.swagger-ui .opblock .opblock-summary-description {
    word-break: break-word;
    background-color: rgba(0, 0, 0, .3);
    border: 1px solid rgba(255, 255, 255, .7);
    border-radius: 12px;
    margin-left: 20px;
    padding: 2px 14px;
    font-family: sans-serif;
    font-size: 13px;
    display: inline-block;
    position: absolute;
    right: 142px;
    margin-top: -24px;
}

.swagger-ui .opblock .opblock-summary {
    cursor: pointer;
    align-items: center;
    padding: 5px;
    display: flex
}

.swagger-ui .opblock .opblock-summary .view-line-link {
    cursor: pointer;
    width: 0;
    margin: 0;
    transition: all .5s;
    position: relative;
    top: 2px
}

.swagger-ui .opblock .opblock-summary:hover .view-line-link {
    width: 18px;
    margin: 0 5px
}

.swagger-ui .opblock .opblock-summary:hover .view-line-link.copy-to-clipboard {
    width: 24px
}

.swagger-ui .opblock.opblock-post {
    background: rgba(73, 204, 144, .1);
    border-color: #49cc90
}

.swagger-ui .opblock.opblock-post .opblock-summary-method {
    background: #49cc90
}

.swagger-ui .opblock.opblock-post .opblock-summary {
    border-color: #49cc90
}

.swagger-ui .opblock.opblock-post .tab-header .tab-item.active h4 span:after {
    background: #49cc90
}

.swagger-ui .opblock.opblock-put {
    background: rgba(252, 161, 48, .1);
    border-color: #fca130
}

.swagger-ui .opblock.opblock-put .opblock-summary-method {
    background: #fca130
}

.swagger-ui .opblock.opblock-put .opblock-summary {
    border-color: #fca130
}

.swagger-ui .opblock.opblock-put .tab-header .tab-item.active h4 span:after {
    background: #fca130
}

.swagger-ui .opblock.opblock-delete {
    background: rgba(249, 62, 62, .1);
    border-color: #f93e3e
}

.swagger-ui .opblock.opblock-delete .opblock-summary-method {
    background: #f93e3e
}

.swagger-ui .opblock.opblock-delete .opblock-summary {
    border-color: #f93e3e
}

.swagger-ui .opblock.opblock-delete .tab-header .tab-item.active h4 span:after {
    background: #f93e3e
}

.swagger-ui .opblock.opblock-get {
    background: rgba(97, 175, 254, .1);
    border-color: #61affe
}

.swagger-ui .opblock.opblock-get .opblock-summary-method {
    background: #61affe
}

.swagger-ui .opblock.opblock-get .opblock-summary {
    border-color: #61affe
}

.swagger-ui .opblock.opblock-get .tab-header .tab-item.active h4 span:after {
    background: #61affe
}

.swagger-ui .model-example {
    margin-top: 1em
}

.swagger-ui .tab {
    padding: 0;
    list-style: none;
    display: flex
}

.swagger-ui .tab li {
    color: #3b4151;
    cursor: pointer;
    min-width: 60px;
    padding: 0;
    font-family: sans-serif;
    font-size: 12px
}

.swagger-ui .tab li:first-of-type {
    padding-left: 0;
    padding-right: 12px;
    position: relative
}

.swagger-ui .tab li:first-of-type:after {
    content: "";
    background: rgba(0, 0, 0, .2);
    width: 1px;
    height: 100%;
    position: absolute;
    top: 0;
    right: 6px
}

.swagger-ui .tab li.active {
    font-weight: 700
}

.swagger-ui .tab li button.tablinks {
    color: inherit;
    font-family: inherit;
    font-weight: inherit;
    background: 0 0;
    border: 0;
    padding: 0
}

.swagger-ui .opblock-description-wrapper {
    color: #3b4151;
    margin: 0 0 5px;
    padding: 15px 20px;
    font-family: sans-serif;
    font-size: 12px
}

.swagger-ui .opblock-description-wrapper h4 {
    color: #3b4151;
    margin: 0 0 5px;
    font-family: sans-serif;
    font-size: 12px
}

.swagger-ui .opblock-description-wrapper p {
    color: #3b4151;
    margin: 0;
    font-family: sans-serif;
    font-size: 14px
}

.swagger-ui .execute-wrapper {
    text-align: right;
    padding: 20px
}

.swagger-ui .execute-wrapper .btn {
    width: 100%;
    padding: 8px 40px
}

.swagger-ui .responses-inner {
    padding: 20px
}

.swagger-ui .responses-inner h4,
.swagger-ui .responses-inner h5 {
    color: #3b4151;
    margin: 10px 0 5px;
    font-family: sans-serif;
    font-size: 12px
}

.swagger-ui .responses-inner .curl {
    white-space: normal
}

.swagger-ui .response-col_status {
    color: #3b4151;
    font-family: sans-serif;
    font-size: 14px
}

.swagger-ui .response-col_links {
    color: #3b4151;
    max-width: 40em;
    padding-left: 2em;
    font-family: sans-serif;
    font-size: 14px
}

.swagger-ui .opblock-body pre.microlight {
    -webkit-hyphens: auto;
    -ms-hyphens: auto;
    hyphens: auto;
    white-space: pre-wrap;
    word-break: break-all;
    word-break: break-word;
    word-wrap: break-word;
    color: #fff;
    border: 1px solid var(--block-border-color);
    border-radius: 5px;
    margin: 0;
    padding: 10px;
    font-family: monospace;
    font-size: 12px;
    font-weight: 600;
    background: var(--all-bg-color) !important
}

.swagger-ui .opblock-body pre.microlight .headerline {
    display: block
}

.swagger-ui .highlight-code {
    border-radius: 7px;
    position: relative;
    background: var(--all-bg-color) !important
}

.swagger-ui .highlight-code>.microlight {
    border-radius: 7px;
    min-height: 6em;
    max-height: 400px;
    overflow-y: auto;
    background-color: var(--all-bg-color) !important;
    background: var(--all-bg-color) !important
}

.swagger-ui .highlight-code>.microlight code {
    word-break: break-all;
    white-space: pre-wrap !important
}

.swagger-ui .curl-command {
    position: relative
}

.swagger-ui .download-contents {
    color: #fff;
    text-align: center;
    background: #2b3247;
    border: none;
    border-radius: 7px;
    justify-content: center;
    align-items: center;
    height: 30px;
    padding: 5px;
    font-family: sans-serif;
    font-size: 14px;
    font-weight: 600;
    display: flex;
    position: absolute;
    bottom: 10px;
    right: 10px
}

.swagger-ui .scheme-container {
    background: #fff;
    border-radius: 9px;
    margin: 14px;
    padding: 30px 0;
    box-shadow: 0 1px 2px rgba(0, 0, 0, .15)
}

.swagger-ui .scheme-container .schemes {
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: flex-end;
    gap: 10px;
    display: flex
}

.swagger-ui .scheme-container .schemes:not(:has(.schemes-server-container)) {
    justify-content: flex-end
}

.swagger-ui .scheme-container .schemes .auth-wrapper {
    justify-content: none;
    /*flex: none*/
    flex: 1;
    /*top: -16px;*/
    margin-top: -16px;
}

.swagger-ui .scheme-container .schemes .auth-wrapper .authorize {
    flex-wrap: nowrap;
    margin: 0;
    padding-right: 20px;
    display: flex;
    position: absolute;
    margin-top: -16px;
}

@keyframes rotation {
    to {
        transform: rotate(1turn)
    }
}

.swagger-ui .response-controls {
    padding-top: 1em;
    display: flex
}

.swagger-ui .response-control-media-type {
    margin-right: 1em
}

.swagger-ui .response-control-media-type--accept-controller select {
    border-color: green
}

.swagger-ui .response-control-media-type__accept-message {
    color: green;
    font-size: .7em
}

.swagger-ui .response-control-media-type__title {
    margin-bottom: .2em;
    font-size: .7em;
    display: block
}

@keyframes blinker {
    50% {
        opacity: 0
    }
}

.swagger-ui .no-margin {
    border: none;
    height: auto;
    margin: 0;
    padding: 0
}

.swagger-ui .svg-assets {
    width: 0;
    height: 0;
    position: absolute
}

.swagger-ui section h3 {
    color: #3b4151;
    font-family: sans-serif
}

.swagger-ui a.nostyle {
    display: inline
}

.swagger-ui a.nostyle,
.swagger-ui a.nostyle:visited {
    color: inherit;
    cursor: pointer;
    -webkit-text-decoration: inherit;
    -webkit-text-decoration: inherit;
    text-decoration: inherit
}

.swagger-ui .btn {
    color: #3b4151;
    background: 0 0;
    border: 2px solid gray;
    border-radius: 4px;
    padding: 5px 23px;
    font-family: sans-serif;
    font-size: 14px;
    font-weight: 700;
    transition: all .3s;
    box-shadow: 0 1px 2px rgba(0, 0, 0, .1)
}

.swagger-ui .btn[disabled] {
    cursor: not-allowed;
    opacity: .3
}

.swagger-ui .btn:hover {
    box-shadow: 0 0 5px rgba(0, 0, 0, .3)
}

.swagger-ui .btn.cancel {
    color: #ff6060;
    background-color: transparent;
    border-color: #ff6060;
    font-family: sans-serif
}

.swagger-ui .btn.authorize {
    color: #49cc90;
    background-color: transparent;
    border-color: #49cc90;
    line-height: 1;
    display: inline
}

.swagger-ui .btn.authorize span {
    float: left;
    padding: 4px 20px 0 0
}

.swagger-ui .btn.authorize svg {
    fill: #49cc90
}

.swagger-ui .btn.execute {
    color: #fff;
    background-color: #4990e2;
    border-color: #4990e2
}

.swagger-ui .btn-group {
    padding: 30px;
    display: flex
}

.swagger-ui .btn-group .btn {
    flex: 1
}

.swagger-ui .btn-group .btn:first-child {
    border-radius: 4px 0 0 4px
}

.swagger-ui .btn-group .btn:last-child {
    border-radius: 0 4px 4px 0
}

.swagger-ui .authorization__btn {
    background: 0 0;
    border: none;
    padding: 0 0 0 10px
}

.swagger-ui .authorization__btn .locked {
    opacity: 1
}

.swagger-ui .authorization__btn .unlocked {
    opacity: .4
}

.swagger-ui .models-control,
.swagger-ui .opblock-summary-control {
    all: inherit;
    cursor: pointer;
    border-bottom: 0;
    flex: 1;
    padding: 0
}

.swagger-ui .models-control:focus,
.swagger-ui .opblock-summary-control:focus {
    outline: auto
}

.swagger-ui .expand-operation {
    background: 0 0;
    border: none
}

.swagger-ui .expand-operation svg {
    width: 20px;
    height: 20px
}

.swagger-ui button {
    cursor: pointer
}

.swagger-ui .copy-to-clipboard {
    background: #7d8293;
    border: none;
    border-radius: 4px;
    justify-content: center;
    align-items: center;
    width: 30px;
    height: 30px;
    display: flex;
    position: absolute;
    bottom: 10px;
    right: 100px
}

.swagger-ui .copy-to-clipboard button {
    background: url("data:image/svg+xml;charset=utf-8,<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"16\" height=\"15\" aria-hidden=\"true\"><path fill=\"%23fff\" fill-rule=\"evenodd\" d=\"M4 12h4v1H4zm5-6H4v1h5zm2 3V7l-3 3 3 3v-2h5V9zM6.5 8H4v1h2.5zM4 11h2.5v-1H4zm9 1h1v2c-.02.28-.11.52-.3.7s-.42.28-.7.3H3c-.55 0-1-.45-1-1V3c0-.55.45-1 1-1h3c0-1.11.89-2 2-2s2 .89 2 2h3c.55 0 1 .45 1 1v5h-1V5H3v9h10zM4 4h8c0-.55-.45-1-1-1h-1c-.55 0-1-.45-1-1s-.45-1-1-1-1 .45-1 1-.45 1-1 1H5c-.55 0-1 .45-1 1\"/></svg>") 50% no-repeat;
    border: none;
    flex-grow: 1;
    flex-shrink: 1;
    height: 25px
}

.swagger-ui .copy-to-clipboard:active {
    background: #5e626f
}

.swagger-ui .opblock-control-arrow {
    text-align: center;
    background: 0 0;
    border: none
}

.swagger-ui .curl-command .copy-to-clipboard {
    width: 20px;
    height: 20px;
    bottom: 5px;
    right: 10px
}

.swagger-ui .curl-command .copy-to-clipboard button {
    height: 18px
}

.swagger-ui .opblock .opblock-summary .view-line-link.copy-to-clipboard {
    height: 26px;
    position: static
}

.swagger-ui select {
    -ms-appearance: none;
    appearance: none;
    color: #3b4151;
    background: #f7f7f7 url("data:image/svg+xml;charset=utf-8,<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 20 20\"><path d=\"M13.418 7.859a.695.695 0 0 1 .978 0 .68.68 0 0 1 0 .969l-3.908 3.83a.697.697 0 0 1-.979 0l-3.908-3.83a.68.68 0 0 1 0-.969.695.695 0 0 1 .978 0L10 11z\"/></svg>") right 10px center/20px no-repeat;
    border: 2px solid #41444e;
    border-radius: 4px;
    padding: 5px 40px 5px 10px;
    font-family: sans-serif;
    font-size: 14px;
    font-weight: 700;
    box-shadow: 0 1px 2px rgba(0, 0, 0, .25)
}

.swagger-ui .opblock-body select {
    min-width: 230px
}

@media (max-width:768px) {
    .swagger-ui .opblock-body select {
        min-width: 180px
    }
}

@media (max-width:640px) {
    .swagger-ui .opblock-body select {
        width: 100%;
        min-width: 100%
    }
}

.swagger-ui label {
    color: #3b4151;
    margin: 0 0 5px;
    font-family: sans-serif;
    font-size: 12px;
    font-weight: 700
}

.swagger-ui input[type=text] {
    line-height: 1
}

@media (max-width:768px) {
    .swagger-ui input[type=text] {
        max-width: 175px
    }
}

.swagger-ui textarea {
    background: #fff;
    border: 1px solid #d9d9d9;
    border-radius: 4px;
    min-width: 100px;
    margin: 5px 0;
    padding: 8px 10px
}

.swagger-ui input[type=text] {
    background: #fff;
    border: 1px solid #d9d9d9;
    border-radius: 4px;
    min-width: 100px;
    margin: 5px 0;
    padding: 8px 10px
}

.swagger-ui input[disabled],
.swagger-ui select[disabled],
.swagger-ui textarea[disabled] {
    color: #888;
    cursor: not-allowed;
    background-color: #fafafa
}

.swagger-ui select[disabled] {
    border-color: #888
}

.swagger-ui textarea[disabled] {
    color: #fff;
    background-color: #41444e
}

@keyframes shake {

    10%,
    90% {
        transform: translate(-1px)
    }

    20%,
    80% {
        transform: translate(2px)
    }

    30%,
    50%,
    70% {
        transform: translate(-4px)
    }

    40%,
    60% {
        transform: translate(4px)
    }
}

.swagger-ui textarea {
    color: #3b4151;
    background: rgba(255, 255, 255, .8);
    border: none;
    border-radius: 4px;
    outline: none;
    width: 100%;
    min-height: 280px;
    padding: 10px;
    font-family: monospace;
    font-size: 12px;
    font-weight: 600
}

.swagger-ui textarea:focus {
    border: 2px solid #61affe
}

.swagger-ui textarea.curl {
    color: #fff;
    resize: none;
    background: #41444e;
    border-radius: 4px;
    min-height: 100px;
    margin: 0;
    padding: 10px;
    font-family: monospace;
    font-size: 12px;
    font-weight: 600
}

.swagger-ui .model {
    color: #3b4151;
    font-family: monospace;
    font-size: 12px;
    font-weight: 600
}

.swagger-ui .model p {
    margin: 0 0 1em
}

.swagger-ui table.model tr.description {
    color: #666;
    font-weight: 400
}

.swagger-ui table.model tr.description td:first-child {
    font-weight: 700
}

.swagger-ui table.model tr .renderedMarkdown p:first-child {
    margin-top: 0
}

.swagger-ui section.models {
    border: 1px solid rgba(59, 65, 81, .3);
    border-radius: 4px;
    margin: 30px 0
}

.swagger-ui section.models.is-open {
    padding: 0 0 20px
}

.swagger-ui section.models.is-open h4 {
    border-bottom: 1px solid rgba(59, 65, 81, .3);
    margin: 0 0 5px
}

.swagger-ui section.models h4 {
    color: #606060;
    cursor: pointer;
    align-items: center;
    margin: 0;
    padding: 10px 20px 10px 10px;
    font-family: sans-serif;
    font-size: 16px;
    transition: all .2s;
    display: flex
}

.swagger-ui section.models h4 svg {
    transition: all .4s
}

.swagger-ui section.models h4 span {
    flex: 1
}

.swagger-ui section.models h4:hover {
    background: rgba(0, 0, 0, .02)
}

.swagger-ui section.models h5 {
    color: #707070;
    margin: 0 0 10px;
    font-family: sans-serif;
    font-size: 16px
}

.swagger-ui table {
    border-collapse: collapse;
    width: 100%;
    padding: 0 10px
}

.swagger-ui table.model tbody tr td {
    vertical-align: top;
    padding: 0
}

.swagger-ui table.model tbody tr td:first-of-type {
    width: 174px;
    padding: 0 0 0 2em
}

.swagger-ui table.headers td {
    color: #3b4151;
    vertical-align: middle;
    font-family: monospace;
    font-size: 12px;
    font-weight: 600
}

.swagger-ui table tbody tr td {
    vertical-align: top;
    padding: 10px 0 0
}

.swagger-ui table tbody tr td:first-of-type {
    min-width: 6em;
    padding: 10px 0
}

.swagger-ui table thead tr td,
.swagger-ui table thead tr th {
    color: #3b4151;
    text-align: left;
    border-bottom: 1px solid rgba(59, 65, 81, .2);
    padding: 12px 0;
    font-family: sans-serif;
    font-size: 12px;
    font-weight: 700
}

.swagger-ui .parameters-col_description {
    width: 99%;
    margin-bottom: 2em
}

.swagger-ui .parameters-col_description input {
    width: 100%;
    max-width: 340px
}

.swagger-ui .parameters-col_description select {
    border-width: 1px
}

.swagger-ui .parameters-col_description .renderedMarkdown p {
    margin: 0
}

.swagger-ui .parameter__name {
    color: #3b4151;
    margin-right: .75em;
    font-family: sans-serif;
    font-size: 16px;
    font-weight: 400
}

.swagger-ui .parameter__name.required {
    font-weight: 700
}

.swagger-ui .parameter__name.required span {
    color: red
}

.swagger-ui .parameter__name.required:after {
    color: rgba(255, 0, 0, .6);
    content: "required";
    padding: 5px;
    font-size: 10px;
    position: relative;
    top: -6px
}

.swagger-ui .parameter__in {
    color: gray;
    font-family: monospace;
    font-size: 12px;
    font-style: italic;
    font-weight: 600
}

.swagger-ui .parameter__deprecated {
    color: red;
    font-family: monospace;
    font-size: 12px;
    font-style: italic;
    font-weight: 600
}

.swagger-ui .table-container {
    padding: 20px
}

.swagger-ui .response-col_description {
    width: 99%
}

.swagger-ui .response-col_description .renderedMarkdown p {
    margin: 0
}

.swagger-ui .response-col_links {
    min-width: 6em
}

.swagger-ui .info {
    margin: 20px 0
}

.swagger-ui .info hgroup.main {
    margin: 0 0 20px
}

.swagger-ui .info hgroup.main a {
    font-size: 14px;
    font-family: SpaceAge;
}
.swagger-ui .info hgroup.main h1 {
    font-family: SpaceAge;
    letter-spacing: .4rem;
}
.swagger-ui .info pre {
    font-size: 14px
}

.swagger-ui .info li,
.swagger-ui .info p,
.swagger-ui .info table {
    color: #3b4151;
    font-family: sans-serif;
    font-size: 14px
}

.swagger-ui .info h2,
.swagger-ui .info h3,
.swagger-ui .info h4,
.swagger-ui .info h5 {
    color: #3b4151;
    font-family: sans-serif
}

.swagger-ui .info a {
    color: #4990e2;
    font-family: sans-serif;
    font-size: 14px;
    transition: all .4s
}

.swagger-ui .info a:hover {
    color: #1f69c0
}

.swagger-ui .info>div {
    margin: 0 0 5px
}

.swagger-ui .info .title {
    color: #3b4151;
    margin: 0;
    font-family: sans-serif;
    font-size: 36px
}

.swagger-ui .info .title small {
    vertical-align: super;
    background: #7d8492;
    border-radius: 57px;
    margin: 0 0 0 7px;
    padding: 4px 12px;
    font-size: 10px;
    display: inline-block;
    position: relative;
    top: 5px
}

.swagger-ui .info .title span {
    margin-left: 30px
}

.swagger-ui .info .title small.version-stamp {
    background-color: #89bf04
}

.swagger-ui .info .title small pre {
    color: #fff;
    margin: 0;
    padding: 0;
    font-family: sans-serif
}

.swagger-ui .auth-wrapper {
    flex: 1;
    justify-content: flex-end;
    display: flex
}

.swagger-ui .auth-wrapper .authorize {
    margin-left: 10px;
    margin-right: 10px;
    padding-right: 20px
}

@keyframes scaleUp {
    0% {
        opacity: 0;
        transform: scale(.8)
    }

    to {
        opacity: 1;
        transform: scale(1)
    }
}

.swagger-ui .renderedMarkdown p,
.swagger-ui .renderedMarkdown pre {
    word-break: break-all;
    word-break: break-word;
    margin: 1em auto
}

.swagger-ui .renderedMarkdown pre {
    color: #000;
    white-space: pre-wrap;
    background: 0 0;
    padding: 0;
    font-weight: 400
}

.swagger-ui .renderedMarkdown code {
    color: #9012fe;
    background: rgba(0, 0, 0, .05);
    border-radius: 4px;
    padding: 5px 7px;
    font-family: monospace;
    font-size: 14px;
    font-weight: 600
}

.swagger-ui .renderedMarkdown pre>code {
    display: block
}

.swagger-ui .json-schema-2020-12 {
    background-color: rgba(0, 0, 0, .05);
    border-radius: 4px;
    margin: 0 20px 15px;
    padding: 12px 0 12px 20px
}

.swagger-ui .json-schema-2020-12:first-of-type {
    margin: 20px
}

.swagger-ui .json-schema-2020-12:last-of-type {
    margin: 0 20px
}

.swagger-ui .json-schema-2020-12--embedded {
    background-color: inherit;
    padding-bottom: 0;
    padding-left: inherit;
    padding-right: inherit;
    padding-top: 0
}

.swagger-ui .json-schema-2020-12-body {
    border-left: 1px dashed rgba(0, 0, 0, .1);
    margin: 2px 0
}

.swagger-ui .json-schema-2020-12-body--collapsed {
    display: none
}

.swagger-ui .json-schema-2020-12-accordion {
    border: none;
    outline: none;
    padding-left: 0
}

.swagger-ui .json-schema-2020-12-accordion__children {
    display: inline-block
}

.swagger-ui .json-schema-2020-12-accordion__icon {
    vertical-align: bottom;
    width: 18px;
    height: 18px;
    display: inline-block
}

.swagger-ui .json-schema-2020-12-accordion__icon--expanded {
    transform-origin: 50%;
    transition: transform .15s ease-in;
    transform: rotate(-90deg)
}

.swagger-ui .json-schema-2020-12-accordion__icon--collapsed {
    transform-origin: 50%;
    transition: transform .15s ease-in;
    transform: rotate(0)
}

.swagger-ui .json-schema-2020-12-accordion__icon svg {
    width: 20px;
    height: 20px
}

.swagger-ui .json-schema-2020-12-expand-deep-button {
    color: #afaeae;
    border: none;
    padding-right: 0;
    font-family: sans-serif;
    font-size: 12px
}

.swagger-ui .json-schema-2020-12-keyword {
    margin: 5px 0
}

.swagger-ui .json-schema-2020-12-keyword__children {
    border-left: 1px dashed rgba(0, 0, 0, .1);
    margin: 0 0 0 20px;
    padding: 0
}

.swagger-ui .json-schema-2020-12-keyword__name {
    margin-left: 20px;
    font-size: 12px;
    font-weight: 700
}

.swagger-ui .json-schema-2020-12-keyword__name--primary {
    color: #3b4151;
    font-style: normal
}

.swagger-ui .json-schema-2020-12__attribute {
    color: #3b4151;
    text-transform: lowercase;
    padding-left: 10px;
    font-family: monospace;
    font-size: 12px
}

.swagger-ui .json-schema-2020-12__attribute--primary {
    color: #55a
}

.swagger-ui .json-schema-2020-12__title {
    color: #505050;
    font-family: sans-serif;
    font-size: 12px;
    font-weight: 700;
    line-height: normal;
    display: inline-block
}

.swagger-ui .json-schema-2020-12__title .json-schema-2020-12-keyword__name {
    margin: 0
}

.swagger-ui .json-schema-2020-12-property {
    margin: 7px 0
}

.swagger-ui .json-schema-2020-12-property .json-schema-2020-12__title {
    color: #3b4151;
    vertical-align: middle;
    font-family: monospace;
    font-size: 12px;
    font-weight: 600
}

.swagger-ui .json-schema-2020-12-keyword--properties>ul {
    border: none;
    margin: 0;
    padding: 0
}

.swagger-ui .json-schema-2020-12-property {
    list-style-type: none
}

.swagger-ui .json-schema-2020-12-property--required>.json-schema-2020-12:first-of-type>.json-schema-2020-12-head .json-schema-2020-12__title:after {
    color: red;
    content: "*";
    font-weight: 700
}

.swagger-ui .models .json-schema-2020-12:not(.json-schema-2020-12--embedded)>.json-schema-2020-12-head .json-schema-2020-12__title:first-of-type {
    font-size: 16px
}

body {
    background-color: rgba(255,255,255,0.3);
}

:root {
    --swagger-color: #62a03f;
    --link-color: #4e9fff;
    --accept-header-color: #61cc6a;
    --post-method-color: #49cc5f;
    --post-method-background-color: rgba(73, 204, 95, .1);
    --get-method-color: #61affe;
    --get-method-background-color: rgba(97, 175, 254, .1);
    --head-method-color: #9012fe;
    --head-method-background-color: rgba(144, 18, 254, .1);
    --put-method-color: #fca130;
    --put-method-background-color: rgba(252, 161, 48, .1);
    --delete-method-color: #f93e3e;
    --delete-method-background-color: rgba(249, 62, 62, .1);
    --options-method-color: #197bdc;
    --options-method-background-color: rgba(25, 123, 220, .1);
    --patch-method-color: #50e3c2;
    --patch-method-background-color: rgba(80, 227, 194, .1);
    --all-bg-color: #07072b;
    --secondary-bg-color: #030518;
    --header-bg-color: #1b2757;
    --block-bg-color: #1b2757;
    --selecter-bg-color: #1b2757;
    --primary-text-color: #fff;
    --secondary-text-color: rgba(255, 255, 255, .9);
    --block-border-color: rgba(255, 255, 255, .06);
    --block-border-radius: 8px;
    --innner-block-border-radius: 4px;
    --primary-icon-color: #fff;
    --icons-opacity: .32;
    --secondary-icon-opacity: .6;
    --black-icons-filter: invert(1)
}

@media (prefers-color-scheme:dark) {
    .swagger-ui .info .title small.version-stamp {
        background-color: var(--swagger-color)
    }

    .swagger-ui .info a {
        color: var(--link-color)
    }

    .swagger-ui .response-control-media-type--accept-controller select {
        border-color: var(--accept-header-color)
    }

    .swagger-ui .response-control-media-type__accept-message {
        color: var(--accept-header-color)
    }

    .swagger-ui .btn.authorize {
        color: var(--post-method-color);
        border-color: var(--post-method-color)
    }

    .swagger-ui .btn.authorize svg {
        fill: var(--post-method-color)
    }

    .swagger-ui .opblock.opblock-post .opblock-summary-method {
        background: var(--post-method-color)
    }

    .swagger-ui .opblock.opblock-post .opblock-summary {
        border-color: var(--post-method-color)
    }

    .swagger-ui .opblock.opblock-post {
        background: var(--post-method-background-color);
        border-color: var(--post-method-color)
    }

    .swagger-ui .opblock.opblock-post .tab-header .tab-item.active h4 span:after {
        background: var(--post-method-color)
    }

    .swagger-ui .opblock.opblock-get .opblock-summary-method {
        background: var(--get-method-color)
    }

    .swagger-ui .opblock.opblock-get .opblock-summary {
        border-color: var(--get-method-color)
    }

    .swagger-ui .opblock.opblock-get {
        background: var(--get-method-background-color);
        border-color: var(--get-method-color)
    }

    .swagger-ui .opblock.opblock-get .tab-header .tab-item.active h4 span:after {
        background: var(--get-method-color)
    }

    .swagger-ui .opblock.opblock-put .opblock-summary-method {
        background: var(--put-method-color)
    }

    .swagger-ui .opblock.opblock-put .opblock-summary {
        border-color: var(--put-method-color)
    }

    .swagger-ui .opblock.opblock-put {
        background: var(--put-method-background-color);
        border-color: var(--put-method-color)
    }

    .swagger-ui .opblock.opblock-put .tab-header .tab-item.active h4 span:after {
        background: var(--put-method-color)
    }

    .swagger-ui .opblock.opblock-delete .opblock-summary-method {
        background: var(--delete-method-color)
    }

    .swagger-ui .opblock.opblock-delete .opblock-summary {
        border-color: var(--delete-method-color)
    }

    .swagger-ui .opblock.opblock-delete {
        background: var(--delete-method-background-color);
        border-color: var(--delete-method-color)
    }

    .swagger-ui .opblock.opblock-delete .tab-header .tab-item.active h4 span:after {
        background: var(--delete-method-color)
    }

    body {
        background-color: var(--all-bg-color);
        color: #fff
    }

    .swagger-ui .scheme-container {
        background: var(--secondary-bg-color)
    }

    .swagger-ui select {
        background: var(--selecter-bg-color);
        border-radius: var(--block-border-radius);
        color: var(--primary-text-color)
    }

    .swagger-ui section.models {
        border: 1px solid var(--block-border-color);
        background-color: var(--block-bg-color)
    }

    .swagger-ui .opblock .opblock-section-header {
        background: var(--secondary-bg-color)
    }

    .swagger-ui .example {
        background-color: var(--secondary-bg-color) !important;
        border-radius: var(--block-border-radius) !important
    }

    .swagger-ui .copy-to-clipboard {
        background: rgba(255, 255, 255, var(--icons-opacity));
        border-radius: var(--block-border-radius)
    }

    .swagger-ui .opblock .opblock-summary-method {
        border-radius: var(--innner-block-border-radius)
    }

    .swagger-ui textarea {
        background: var(--secondary-bg-color);
        border: 1px solid var(--block-border-color);
        border-radius: var(--block-border-radius);
        color: var(--primary-text-color);
        outline: none
    }

    .swagger-ui input[type=text] {
        background: var(--secondary-bg-color);
        border: 1px solid var(--block-border-color);
        border-radius: var(--block-border-radius);
        color: var(--primary-text-color);
        outline: none
    }

    .swagger-ui .btn {
        border: 2px solid var(--block-border-color);
        border-radius: var(--block-border-radius);
        color: var(--primary-text-color)
    }

    .swagger-ui .opblock-tag,
    .swagger-ui section.models.is-open h4 {
        border-bottom: 1px solid var(--block-border-color)
    }

    .swagger-ui .opblock,
    .swagger-ui section.models {
        border-radius: var(--block-border-radius)
    }

    .swagger-ui .models-control:focus,
    .swagger-ui .opblock-summary-control:focus {
        outline: none
    }

    .swagger-ui svg:not(:root) {
        fill: var(--primary-icon-color)
    }

    .swagger-ui .opblock-summary-control svg:not(:root) {
        opacity: var(--secondary-icon-opacity)
    }

    .swagger-ui,
    .swagger-ui .info .title,
    .swagger-ui a.nostyle,
    .swagger-ui .models-control {
        color: var(--primary-text-color)
    }

    .swagger-ui h3,
    .swagger-ui h4 {
        color: var(--primary-text-color) !important
    }

    .swagger-ui h5 {
        color: var(--secondary-text-color) !important
    }

    .swagger-ui label,
    .swagger-ui .opblock .opblock-section-header h4,
    .swagger-ui .tab li button.tablinks,
    .swagger-ui .opblock-description-wrapper p {
        color: var(--primary-text-color)
    }

    .opblock-summary-description {
        color: var(--secondary-text-color) !important
    }

    .swagger-ui table thead tr td,
    .swagger-ui table thead tr th {
        border-bottom: 1px solid var(--block-border-color);
        color: var(--primary-text-color)
    }

    .swagger-ui .response-col_status {
        color: var(--primary-text-color)
    }

    .swagger-ui .response-col_links {
        color: var(--secondary-text-color)
    }

    .swagger-ui .parameter__name {
        color: var(--primary-text-color)
    }

    .swagger-ui .parameter__type,
    .swagger-ui .info li,
    .swagger-ui .info p,
    .swagger-ui .info table,
    .swagger-ui .model {
        color: var(--secondary-text-color)
    }

    .swagger-ui .json-schema-2020-12,
    .swagger-ui .json-schema-2020-12__title,
    .swagger-ui .json-schema-2020-12-accordion__children,
    .swagger-ui .json-schema-2020-12-accordion,
    .swagger-ui .json-schema-2020-12-expand-deep-button {
        background-color: #0f0f16
    }
}
.swagger-ui .dialog-ux {
  display: block;
  width: 70%;
}